Menu

Redmine 3 on CentOS 7

Now that Redmine 3 has been released, it’s time to upgrade, right? Remember installing Redmine 2 on CentOS 7? The good news is that the procedure remains almost identical. You only need to make 2 adjustments.

The first thing is that Redmine 3 adds a few new gems which in turn also add a few new dependencies. Namely, you need to

yum install libxml2-devel libxslt-devel

The other thing is that by default the new nokogiri gem wants to download, build and install libxml2 on its own, which is obviously a bad idea, so before any bundle install command make sure to also issue

bundle config build.nokogiri --use-system-libraries

Aaand that’s it! You have Redmine 3 up and running.

Tags: , , ,